Bug 162776 - [patch] databases/postgresql90-server: add profile support for multiple databases
[patch] databases/postgresql90-server: add profile support for multiple datab...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 01:50 UTC by jhelfman
Modified: 2012-01-22 07:01 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.03 KB, patch)
2011-11-23 01:50 UTC, jhelfman
no flags Details | Diff
patch.txt (12.13 KB, text/plain; charset=us-ascii)
2011-11-23 17:34 UTC, jhelfman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jhelfman 2011-11-23 01:50:00 UTC
Add profile support for postgresql, bump (Jason Helfman, Phil Phillips)

relocate command_args for profile support, instead of re-defining.

How-To-Repeat: Example profile: (create data directory _before_ issuing initdb for service)
postgresql_enable="YES"
postgresql_profiles="jgh"
postgresql_jgh_data="/usr/local/pgsql-jgh/data"
Comment 1 Edwin Groothuis freebsd_committer 2011-11-23 01:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jhelfman 2011-11-23 17:34:13 UTC
Here is an updated patch that can be applied to all postgresql databases.

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 3 Chris Rees freebsd_committer 2011-11-23 19:03:43 UTC
Responsible Changed
From-To: girgen->crees

Mine.
Comment 4 jgh@FreeBSD.org freebsd_committer 2012-01-19 20:50:04 UTC
Responsible Changed
From-To: crees->jgh

Gotcha!
Comment 5 dfilter freebsd_committer 2012-01-22 06:59:36 UTC
jgh         2012-01-22 06:59:27 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql82-server Makefile pkg-plist-server 
    databases/postgresql82-server/files postgresql.in 
    databases/postgresql83-server Makefile pkg-plist-server 
    databases/postgresql83-server/files postgresql.in 
    databases/postgresql84-server Makefile pkg-plist-server 
    databases/postgresql84-server/files postgresql.in 
    databases/postgresql90-server Makefile pkg-plist-server 
    databases/postgresql90-server/files postgresql.in 
    databases/postgresql91-server Makefile pkg-plist-server 
    databases/postgresql91-server/files postgresql.in 
  Log:
  - Add profile support for PostgreSQL servers
  - re-assign LOCALBASE to PREFIX
  - add PG_GROUP to SUB_PLIST for packaging fix
  - fix permissions for package installations
  
  PR:     ports/162776
  Submitted by:   jgh, Phil Phillips < pphillips at experts-exchange.com >
  Reviewed by: rene (mentor)
  Approved by: crees (maintainer, mentor)
  
  Revision  Changes    Path
  1.210     +4 -3      ports/databases/postgresql82-server/Makefile
  1.6       +54 -3     ports/databases/postgresql82-server/files/postgresql.in
  1.25      +2 -2      ports/databases/postgresql82-server/pkg-plist-server
  1.223     +4 -3      ports/databases/postgresql83-server/Makefile
  1.6       +54 -3     ports/databases/postgresql83-server/files/postgresql.in
  1.32      +2 -2      ports/databases/postgresql83-server/pkg-plist-server
  1.243     +4 -3      ports/databases/postgresql84-server/Makefile
  1.7       +54 -3     ports/databases/postgresql84-server/files/postgresql.in
  1.39      +2 -2      ports/databases/postgresql84-server/pkg-plist-server
  1.236     +4 -3      ports/databases/postgresql90-server/Makefile
  1.7       +54 -3     ports/databases/postgresql90-server/files/postgresql.in
  1.39      +2 -2      ports/databases/postgresql90-server/pkg-plist-server
  1.238     +4 -3      ports/databases/postgresql91-server/Makefile
  1.8       +54 -3     ports/databases/postgresql91-server/files/postgresql.in
  1.42      +2 -2      ports/databases/postgresql91-server/pkg-plist-server
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 jgh@FreeBSD.org freebsd_committer 2012-01-22 07:01:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!